# PrototypedEditor Class Reference
[Spring-like webflow tools]

Inheritance diagram for PrototypedEditor:
[legend]

List of all members.

## Public Member Functions

| __construct (Prototyped $subject)
| doDrop (HttpRequest $request)
| doTake (HttpRequest $request)
| doSave (HttpRequest $request)
| doEdit (HttpRequest $request)
| doAdd (HttpRequest $request)
| getForm ()

## Public Attributes

const | COMMAND_SUCCEEDED = 'success'
const | COMMAND_FAILED = 'error'

## Protected Member Functions

| dropObject (HttpRequest $request, Form $form, Identifiable $object)
| saveObject (HttpRequest $request, Form $form, Identifiable $object)
| addObject (HttpRequest $request, Form $form, Identifiable $object)

## Protected Attributes

| $subject = null
| $map = null

## Detailed Description

Definition at line 15 of file PrototypedEditor.class.php.

## Constructor & Destructor Documentation

PrototypedEditor::__construct | ( | Prototyped $ | subject | ) |

Definition at line 23 of file PrototypedEditor.class.php.

References MappedForm::create(), RequestType::get(), RequestType::post(), MethodMappedController::setDefaultAction(), and MethodMappedController::setMethodMapping().

Here is the call graph for this function:

## Member Function Documentation

PrototypedEditor::addObject | ( | HttpRequest $ | request,
|  | Form $ | form,
|  | Identifiable $ | object |
| ) |  |  | `[protected]`

Definition at line 263 of file PrototypedEditor.class.php.

References FormUtils::form2object().

Referenced by doAdd(), and doTake().

Here is the call graph for this function:

PrototypedEditor::doAdd | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Definition at line 216 of file PrototypedEditor.class.php.

References addObject(), Model::create(), ModelAndView::create(), getForm(), and Assert::isUnreachable().

Here is the call graph for this function:

PrototypedEditor::doDrop | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Definition at line 46 of file PrototypedEditor.class.php.

References Model::create(), ModelAndView::create(), dropObject(), getForm(), and Assert::isUnreachable().

Here is the call graph for this function:

PrototypedEditor::doEdit | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Definition at line 192 of file PrototypedEditor.class.php.

References Model::create(), ModelAndView::create(), getForm(), and FormUtils::object2form().

Here is the call graph for this function:

PrototypedEditor::doSave | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Definition at line 144 of file PrototypedEditor.class.php.

References Model::create(), ModelAndView::create(), getForm(), Assert::isUnreachable(), and saveObject().

Here is the call graph for this function:

PrototypedEditor::doTake | ( | HttpRequest $ | request | ) |

Returns:
  ModelAndView

Definition at line 91 of file PrototypedEditor.class.php.

References addObject(), Model::create(), ModelAndView::create(), getForm(), Assert::isUnreachable(), and saveObject().

Here is the call graph for this function:

PrototypedEditor::dropObject | ( | HttpRequest $ | request,
|  | Form $ | form,
|  | Identifiable $ | object |
| ) |  |  | `[protected]`

Definition at line 83 of file PrototypedEditor.class.php.

Referenced by doDrop().

PrototypedEditor::getForm | ( |  | ) |

Returns:
  Form

Definition at line 258 of file PrototypedEditor.class.php.

Referenced by doAdd(), doDrop(), doEdit(), doSave(), and doTake().

PrototypedEditor::saveObject | ( | HttpRequest $ | request,
|  | Form $ | form,
|  | Identifiable $ | object |
| ) |  |  | `[protected]`

Definition at line 183 of file PrototypedEditor.class.php.

References FormUtils::form2object().

Referenced by doSave(), and doTake().

Here is the call graph for this function:

## Member Data Documentation

PrototypedEditor::$map = null`[protected]`

Definition at line 21 of file PrototypedEditor.class.php.

PrototypedEditor::$subject = null`[protected]`

Definition at line 20 of file PrototypedEditor.class.php.

const PrototypedEditor::COMMAND_FAILED = 'error'

Definition at line 18 of file PrototypedEditor.class.php.

const PrototypedEditor::COMMAND_SUCCEEDED = 'success'

Definition at line 17 of file PrototypedEditor.class.php.

The documentation for this class was generated from the following file:

- main/Flow/PrototypedEditor.class.php